<!DOCTYPE html>
<html lang="pt">
    {% load vstatic %}
    {% load custom_tags %}
    {% load mensagem_tags %}
    <head>
        <title>
            {% if title %}{{ title }} -{% endif %}
        Painel Tô no Mapa</title>
        <script src="{% static_report_url 'main/gentelella/jquery/dist/jquery.min.js' %}"></script>
        <link href="{% static_report_url 'main/gentelella/bootstrap/dist/css/bootstrap.min.css' %}"
              rel="stylesheet"/>
        <link href="{% static_report_url 'main/gentelella/font-awesome/css/font-awesome.min.css' %}"
              rel="stylesheet"/>
        <link href="{% static_report_url 'main/css/dashboard.css' %}"
              rel="stylesheet"/>
        <link rel="stylesheet"
              href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
              integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
              crossorigin=""/>
        <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
                integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
                crossorigin=""></script>
        <script src="https://unpkg.com/dom-to-image@2.6.0/dist/dom-to-image.min.js"></script>
        <link rel="stylesheet"
              href="https://cdn.jsdelivr.net/npm/leaflet-easybutton@2/src/easy-button.css"/>
        <script src="https://cdn.jsdelivr.net/npm/leaflet-easybutton@2/src/easy-button.js"></script>
        <link href="{% static_report_url 'main/css/dashboard_mapa.css' %}"
              rel="stylesheet"/>
        <script src="{% static_report_url 'main/js/utils.js' %}"></script>
        <script src="{% static_report_url 'main/js/app_report.js' %}"></script>
        <meta charset="utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1"/>
        <!--[if lte IE 8]><script src="/js/ie/html5shiv.js"></script><![endif]-->
        <!--[if lte IE 8]><link rel="stylesheet" href="/css/ie8.css" /><![endif]-->
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta http-equiv="Content-Language" content="pt-br"/>
        <meta name="description"
              content="{% if description %}{{ description }}{% else %}Dashboard Tô no Mapa - IPAM{% endif %}"/>
        <meta name="keywords" content="{{ keywords }}"/>
        <meta name="author" content="IPAM"/>
    </head>
    <body class="nav-sm">
        <div class="container body">
            <div class="main_container">
                <div class="{% if no_right_col %}no_right_col{% else %}right_col{% endif %}"
                     role="main">
                    <img alt="logo"
                         class="report_logo"
                         src="{% static_report_url 'main/img/tonomapa_logo192x192.png' %}"/>
                    <h1 class="western report_title" align="left">{{ object.nome }} - Relatório</h1>
                    <p class="report_subtitle">Relatório gerado pelo aplicativo Tô no Mapa em {{ today|date:"d/m/Y" }}.</p>
                    <dl>
                        <dt>
                            Área aproximada:
                        </dt>
                        <dd>
                            <span id="spanTerritorioArea">-</span>
                        </dd>
                        <dt>
                            Município de Referência
                        </dt>
                        <dd>
                            {{ object.municipio_referencia|default_if_none:'<i class="small">(Não especificado.)</i>'|safe }}
                        </dd>
                        <dt>
                            Tipo(s) de Comunidade
                        </dt>
                        <dd>
                            {% if object.tipos_comunidade.all.count %}
                                <ul>
                                    {% for tipo_comunidade in object.tipos_comunidade.all %}<li>{{ tipo_comunidade }}</li>{% endfor %}
                                </ul>
                            {% else %}
                                <i class="small">(Não foram definidos segmentos.)</i>
                            {% endif %}
                        </dd>
                        <dt>
                            Ano de criação
                        </dt>
                        <dd>
                            {{ object.ano_fundacao|default_if_none:'<i class="small">(Não especificado.)</i>'|safe }}
                        </dd>
                        <dt>
                            Famílias
                        </dt>
                        <dd>
                            {{ object.qtde_familias|default_if_none:'<i class="small">(Não especificado.)</i>'|safe }}
                        </dd>
                        <dt>
                            Locais de uso
                        </dt>
                        <dd>
                            {% if object.areas_de_uso.all.count %}
                                <ul>
                                    {% for area_de_uso in object.areas_de_uso.all %}
                                        <li>
                                            {{ area_de_uso.nome }} ({{ area_de_uso.tipo_area_de_uso }})
                                            {% if area_de_uso.area %}- {{ area_de_uso.area }}h{% endif %}
                                            {% if area_de_uso.descricao %}: <i>{{ area_de_uso.descricao }}</i>{% endif %}
                                        </li>
                                    {% endfor %}
                                </ul>
                            {% else %}
                                <i class="small">(Não especificados.)</i>
                            {% endif %}
                        </dd>
                        <dt>
                            Conflitos
                        </dt>
                        <dd>
                            {% if object.conflitos.all.count %}
                                <ul>
                                    {% for conflito in object.conflitos.all %}
                                        <li>
                                            {{ conflito.nome }} ({{ conflito.tipo_conflito }})
                                            {% if conflito.descricao %}: <i>{{ conflito.descricao }}</i>{% endif %}
                                        </li>
                                    {% endfor %}
                                </ul>
                            {% else %}
                                <i class="small">(Não especificados.)</i>
                            {% endif %}
                        </dd>
                        <dt>
                            Tem ata anexada?
                        </dt>
                        <dd>
                            {% if object.tem_ata %}
                                Sim
                            {% else %}
                                Não
                            {% endif %}
                        </dd>
                        <dt>
                            Anexos
                        </dt>
                        <dd>
                            {% if object.anexos.all.count %}
                                {{ object.anexos.all.count }}
                            {% else %}
                                <i>(sem anexos)</i>
                            {% endif %}
                        </dd>
                        <dt>
                            Data de cadastro
                        </dt>
                        <dd>
                            {{ object.criacao }}
                        </dd>
                        <dt>
                            Última alteração
                        </dt>
                        <dd>
                            {{ object.ultima_alteracao }}
                        </dd>
                    </dl>
                    <div class="report_situacao_wrapper">{% mensagem_status_report object.status %}</div>
                    <div class="new-page"></div>
                    <img alt="logo"
                         class="report_logo"
                         src="{% static_report_url 'main/img/tonomapa_logo192x192.png' %}"/>
                    <h1 class="western report_title" align="left">{{ object.nome }} - Mapa</h1>
                    <p class="report_subtitle">Relatório gerado pelo aplicativo Tô no Mapa em {{ today|date:"d/m/Y" }}.</p>
                    <div class="row territorio_detail">
                        <div class="col-md-12 map_container_report_wrapper" id="map_wrapper">
                            <div id="map" class="map_container_report"></div>
                            <div id="nomap" class="d-none">
                                <div class="jumbotron jumbotron-warning">
                                    <p>
                                        <strong>Mapa indisponível</strong>
                                        <br />
                                        Esta comunidade
                                        ainda não tem polígonos nem áreas de uso ou de conflito
                                        cadastradas.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <script>
                        const isReport = true;
                        const MAPBOX_ACCESS_TOKEN = '{{ MAPBOX_ACCESS_TOKEN }}';
                        const SITE_URL = '{{ SITE_URL }}';
                        const icone_url = "{% static_report_url 'main/img' %}".split('?')[0];
                        const position_initial = {% if object.geo_poligonos or object.geo_areas_uso or object.conflitos.count %}{{ object.geo_posicao_inicial }}{% else %}[]{% endif %};
                        const isSinglePage = true;
                        {% autoescape off %}
                        let territorios = [{
                            id: {{ territorio.id }},
                            nome: '{{ territorio.nome|escapejs }}',
                            conflitos: {{ territorio.conflitos }},
                            areasDeUso: {{ territorio.areas_de_uso }},
                            poligonos: {{ territorio.poligonos }},
                            area: '{{ territorio.area }}',
                            kml: '{{ territorio.kml }}',
                            poligonoMarker: [],
                            territorio_url: null
                        }];
                        {% endautoescape %}
                    </script>
                </div>
            </div>
        </div>
    </body>
</html>
